import 'package:flutter/material.dart';

/// Mixin supports entire text field on plugin.
mixin FieldMixin {
  bool _valid = true;

  /// Container has infinity height and width, rounded border and horizontal padding.
  Widget container(
          {required final BoxDecoration decoration,
          required final TextField textField}) =>
      Container(
          child: Padding(
              child: textField,
              padding: const EdgeInsets.symmetric(horizontal: 20.0)),
          decoration: decoration,
          height: double.infinity,
          width: double.infinity);

  set valid(final bool valid) => _valid = valid;

  bool get valid => _valid;
}
