import 'package:flutter/material.dart';
import 'package:flutter_custom_form_component/widget/field/widget.dart';

abstract class OneValueFieldWidget extends FieldWidget {
  late final dynamic _initialValue;
  late final Function(dynamic value)? _onChanged;

  OneValueFieldWidget(
      {final TextInputAction action = TextInputAction.next,
      final BoxDecoration? decoration,
      final bool enabled = true,
      final BoxDecoration? errorDecoration,
      final TextStyle? errorStyle,
      final String? hint,
      final dynamic initialValue,
      final Key? key,
      final Function(dynamic value)? onChanged,
      final TextStyle? style})
      : super(
            action: action,
            decoration: decoration,
            enabled: enabled,
            errorDecoration: errorDecoration,
            errorStyle: errorStyle,
            hint: hint,
            key: key,
            style: style) {
    _initialValue = initialValue;
    _onChanged = onChanged;
  }

  dynamic get initialValue => _initialValue;

  Function(dynamic value)? get onChanged => _onChanged;
}
